use std::fs::File;
use std::io::{BufWriter, Write};
use std::path::PathBuf;

use crate::config::Config;
use crate::error::MkrootResult;

pub fn os_release(config: &Config) -> MkrootResult<()> {
	if config.verbose {
		println!("Creating file etc/os-release");
	}

	let mut path = PathBuf::from(&config.root_dir);
	path.push("etc/os-release");

	let f = File::create(&path)?;
	let mut writer = BufWriter::new(f);

	writer.write_fmt(format_args!(
		"NAME=\"{}\"\nVERSION=\"{}\"\n",
		&config.osname, &config.osversion
	))?;

	Ok(())
}
