extern crate regex;
extern crate structopt;

mod config;
mod dirs;
mod error;
mod files;

use structopt::StructOpt;

use config::Config;

fn main() -> error::MkrootResult<()> {
	let config: Config = StructOpt::from_args();

	if config.verbose {
		println!(
			"Building root fs for {:?} in {}",
			&config.files,
			&config.root_dir.display()
		);
	}

	dirs::check(&config)?;
	let files = files::Files::gather(&config)?;
	dirs::create(&config)?;
	files.copy(&config)?;

	if let Err(e) = files::os_release(&config) {
		return Err(error::MkrootError::from(format!(
			"Error creating etc/os-release: {}",
			e
		)));
	}

	// cp skel
	// run ldconfig
	// set permissions

	Ok(())
}
